export class GameInfo{

    //解锁的主题数
    private _unLockedTheme:number = 2; //(0,1)
    //解锁的关卡数
    private _unLockedLv:number = 7;
    //当前主题
    private _curTheme:number = 1;
    //当前关卡
    private _curLv:number = 1;

    private static _instance:GameInfo = null;
    private constructor(){};
    static get Instance():GameInfo{
        if(!this._instance){
            this._instance = new GameInfo();
        }
        return this._instance;
    }

    get UnLockTheme():number{return this._unLockedTheme;}
    get UnLockLv():number{return this._unLockedLv;}
    get CurTheme():number{return this._curTheme;}
    get CurLv():number{return this._curLv;}
    set CurTheme(theme:number){this._curTheme = theme};
    set CurLv(lv:number){this._curLv = lv};

    //set UnLockLv(unLockLv:number){this._unLockedLv = unLockLv;}

    //当前主题 小于 解锁主题数，那么当前主题所有关卡都可以玩
    isAllLvUnlocked():boolean{return this._curTheme < this._unLockedTheme;}
}